<!DOCTYPE html>
<app-unified-header></app-unified-header>

<div class="all-books-page container">
  <div class="row">

    <div class="col-md-12 col-sm-12 col-12">
            <div class="row">
                <div class="col-md-6 col-sm-12 col-12">
                     <span id="span-all-books">All Books<img src="assets/search-icon.png" (click)="showSearchBar()"class="search-book-icon"></span>
                     <div class="inner-addon right-addon" id="div-search-bar" style="display:none;">
                      <span (click)="searchBooksByTitle()"><img src="assets/search-icon.png" class="search-book-icon"></span>
                      <span (click)="hideSearchBar()"><img src="assets/close-icon.png" class="close-icon"></span>
                      <input type="text" (keyup.enter)="searchBooksByTitle()"  id="input-search-book-by-title" class="form-control" placeholder="Search by title"/>
                     </div>
                      
                </div>
                <div class="col-md-6 col-sm-12 col-12">
                    <div class="all-books-back-button" *ngIf="isEditBooks || isBrowseBooks;else back_to_home">
                      <a href="annotator/dashboard"><p>Back</p></a>
                    </div>
                    <ng-template #back_to_home>
                      <div class="all-books-back-button" >
                        <a href="#"><p>Back</p></a>
                      </div>
                    </ng-template>
                </div>
            </div>
    </div>   
    <div class="col-md-12 col-sm-12 col-12" style="margin:auto;">
      <hr class="hr-line-all-books-page">
    </div>
    
    
      <div class="col-md-12 col-sm-12 col-12 books-list-row">
        <div class="container" style="margin: auto;">
          <span id="span-no-books-present-text" style="display: none;">No books found.</span>
          <div class="row">
                <div *ngFor="let index of bookStoreData" id="div-book-list">
                    <a href="book/{{index.book_id}}">
                      <div class="book-img-holder">
                        <img src="{{index.img}}" class="book-img" data-toggle="tooltip" data-placement="top" title="{{index.Name}}">
                        <p class="text-truncate">{{index.Name}}</p>
                      </div>
                    </a>
                    <div  *ngIf="isEditBooks" class="edit-book-icon-inner">
                      <a  #editBookLink href="annotator/edit-book?book_id={{index.book_id}}" class="edit-book-icon" (click)="oauthHelperService.interceptClickForAuthorization(editBookLink.href)"><img src="assets/edit_72.png"/></a>
                    </div>
                  
                </div>
          </div>
      </div>
        <div id="load-more-btn-wrapper">
            <button class="load-more-btn" (click)="fetchBooks()">Load More</button>
        </div>
        <div id="loadding-gif-icon">
          <img src="assets/loader.gif" class="loading-gif-img" > 
        </div>
      </div> 

  </div>
</div>
